unit SampleS;

interface

uses
  {$IFDEF WIN32} Windows, {$ELSE} WinTypes, WinProcs, {$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  HReport, HRLinkC, HRCommon, HRCtrlsC, StdCtrls, DBCtrls, HRGridC, Grids,
  DB, DBTables;

type
  TSampleSf = class(TForm)
    HRPage1: THRPage;
    HRGroup1: THRGroup;
    HRLink1: THRLink;
    HyperReport1: THyperReport;
    HRPageBand1: THRPageBand;
    HRGroupBand1: THRGroupBand;
    HRLabel1: THRLabel;
    HRLabel2: THRLabel;
    HRLabel3: THRLabel;
    HRLabel4: THRLabel;
    HRLabel5: THRLabel;
    HRLabel6: THRLabel;
    HRStringGrid1: THRStringGrid;
    StringGrid1: TStringGrid;
    DataSource1: TDataSource;
    tCustomer: TTable;
    HRStringGrid1Field0: THRField;
    HRStringGrid1Field1: THRField;
    HRStringGrid1Field2: THRField;
    HRStringGrid1Field3: THRField;
    HRStringGrid1Field4: THRField;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SampleSf: TSampleSf;

implementation

{$R *.DFM}

procedure TSampleSf.FormCreate(Sender: TObject);

  procedure SetGridSize;
  begin
    StringGrid1.ColCount := tCustomer.FieldCount;
    StringGrid1.RowCount := tCustomer.RecordCount;
  end;

  procedure CopyGridCells(y: integer);
  var x: integer;
  begin
    with tCustomer do begin
      for x:=0 to FieldCount-1 do begin
        StringGrid1.Cells[x,y] := Fields[x].asString;
      end;
    end;
  end;

var
  y: integer;
begin
  SetGridSize;
  with tCustomer do begin
    First;
    y := 0;
    while not(EOF) do begin
      CopyGridCells(y);
      y := y + 1;
      Next;
    end;
  end;

end;

end.
